IntlCalendar::getErrorCode
IntlCalendar::getFirstDayOfWeek
IntlCalendar
PHP Manual

# IntlCalendar::getErrorMessage

# intlcal_get_error_message

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getErrorMessage -- intlcal_get_error_message — Get last error message on the object

### Description

Object oriented style (method):

public string IntlCalendar::getErrorMessage ( void )

Procedural style:

string intlcal_get_error_message ( IntlCalendar `$calendar` )

Returns the error message (if any) associated with the error reported by IntlCalendar::getErrorCode() or intlcal_get_error_code(). If there is no associated error message, only the string representation of the name of the error constant will be returned. Otherwise, the message also includes a message set on the side of the PHP binding.

### Parameters

`calendar`

  The calendar object, on the procedural style interface.

### Return Values

The error message associated with last error that occurred in a function call on this object, or a string indicating the non-existance of an error.

### Examples

Example #1 IntlCalendar::getErrorMessage()

`<?php
$cal = IntlCalendar::createInstance('UTC', 'en_US');
var_dump($cal->getErrorMessage());
$cal->getWeekendTransition(IntlCalendar::DOW_WEDNESDAY);
var_dump($cal->getErrorMessage());`

The above example will output:

    string(12) "U_ZERO_ERROR"
    string(82) "intlcal_get_weekend_transition: Error calling ICU method: U_ILLEGAL_ARGUMENT_ERROR"

IntlCalendar::getErrorCode
IntlCalendar::getFirstDayOfWeek
IntlCalendar
PHP Manual